#pragma once

#include "dirsig5/flex_motion/JitterModels.h"
#include "dirsig5/flex_motion/LocationEngines.h"
#include "dirsig5/flex_motion/Motion.h"
#include "dirsig5/flex_motion/RotationEngines.h"

namespace d5::flex_motion::Motions {

class D5_FM_EXPORT Flex final : public Motion {
public:
  Flex() = default;

  void doUpdateState(const StateDateTime &, const geolib::Facade *) override;

  DualQuaternion doGet(const DateTime &) const override;

public:
  std::shared_ptr<LocationEngine> locationEngine = {};

  std::shared_ptr<RotationEngine> rotationEngine = {};
};

} // namespace d5::flex_motion::Motions
