#include <gtest/gtest.h>

#include "dirsig5/base/StandardPaths.h"

TEST(SettingsTest, TestResolvePath) {
  auto dirsigHome = d5::StandardPaths::DirsigHome();
  std::string test = "abc$DIRSIG_HOME|dvfak${DIRSIG_HOME}ab${BAR}dac$FOO/foo";
  std::string truth =
      "abc" + dirsigHome + "|dvfak" + dirsigHome + "ab${BAR}dac$FOO/foo";
  EXPECT_EQ(d5::StandardPaths::withReplacements(test), truth);
}

int main(int argc, char **argv) {
  ::testing::InitGoogleTest(&argc, argv);
  return RUN_ALL_TESTS();
}
