#include "dirsig5/d4legacy/motion/Spin.h"

namespace d5::d4legacy {

void SpinMotion::ReadXML(const xml::Node& node, const geolib::Facade* facade) {
  rate = xml::requiredChild(node, "rate").text().as_double();
  axis = xml::readCoordinate(node, "axis");
  origin = geolib::Location(Point(0, 0, 0), facade);
}

}  // namespace d5::d4legacy
