#include "dirsig5/flex_motion/JitterModels/Correlated.h"

namespace d5::flex_motion::JitterModels {

double Correlated::generate(double relativeTime) const {
  double value = 0;
  for (const auto &component : components)
    value += component(relativeTime);
  return value;
}

} // namespace d5::flex_motion::JitterModels
