#pragma once

#if USE_BOOST_FILESYSTEM
#include <boost/filesystem.hpp>
namespace stdfs = boost::filesystem;
using stdfs_error_code = boost::system::error_code;
#else
#include <filesystem>
namespace stdfs = std::filesystem;
using stdfs_error_code = std::error_code;
#endif
