#pragma once

#include "dirsig5/d4legacy/Export.h"
#include "dirsig5/d4legacy/xml/xml.h"

namespace d5::d4legacy {

/// \addtogroup d4legacy_motion
/// \{

struct D5_D4LEGACY_EXPORT SpinMotion {
  /// Spinning rate [rad/sec]
  double rate = 0;

  /// Spinning axis
  Point axis;

  /// Origin of the spinning
  geolib::Location origin = {nullptr};

  void ReadXML(const xml::Node& node, const geolib::Facade* facade);
};

/// \}

}  // namespace d5::d4legacy
