#pragma once

#include "dirsig5/flex_motion/Export.h"

namespace d5::flex_motion {

/// The interface for a jitter model, which generates pseudo random
/// offsets as a function of time.
class D5_FM_EXPORT JitterModel {
public:
  virtual ~JitterModel() = default;

  [[nodiscard]] virtual double generate(double relativeTime) const = 0;
};

} // namespace d5::flex_motion
